package com.zlockwindow.View;

import android.content.*;
import android.os.*;
import android.preference.*;
import android.util.*;
import android.view.*;
import android.widget.*;
import android.widget.SeekBar.*;
import com.zlockwindow.*;

public class SeekBarPreference extends DialogPreference implements OnSeekBarChangeListener {

	private SeekBar seekBar;
	private TextView textView;
	private method me;
	private Context c;
	private String s,key;
	private int p;

	public SeekBarPreference(Context context, AttributeSet attrs) {
		super(context, attrs);
		me=new method(context);
		c=context;
	}

	@Override
	protected void onBindDialogView(View view) {
		super.onBindDialogView(view);
		seekBar = (SeekBar) view.findViewById(R.id.seekBar1);
		textView = (TextView) view.findViewById(R.id.textView1);
		seekBar.setOnSeekBarChangeListener(this);
		init();
	}
	
	private void init(){
		key=this.getKey();
		if(key.equals("lock_backgroundalpha")){
			seekBar.setMax(255);
			seekBar.setProgress(Integer.valueOf(me.getString(key.toString(),"20")).intValue());
			s="";
		}else if(key.equals("lock_size")){
			seekBar.setMax(50);
			seekBar.setProgress(Integer.valueOf(me.getString(key.toString(),"15")).intValue());
			s="sp";
		}
		textView.setText(seekBar.getProgress()+s);
	}

	@Override
	protected void onDialogClosed(boolean positiveResult) {
		if (positiveResult) {
			me.editString(key,p+"");
			trafficservice(1);
			}else{
		}
	}

	@Override
	public void onProgressChanged(SeekBar seekBar,int progress,boolean fromUser) {
		textView.setText(progress+s);
		p=progress;
		}

	@Override
	public void onStartTrackingTouch(SeekBar seekBar) {
	}

	@Override
	public void onStopTrackingTouch(SeekBar seekBar) {
	}

	private void trafficservice(int i){
		switch (i){
		case 1:
				c.stopService(new Intent(c,LockWMService.class));
				new Handler().postDelayed(new Runnable(){
						@Override
						public void run()
						{
							c.startService(new Intent(c,LockWMService.class));
						}
					},500);
			break;
		}
	}
}
