package com.zlockwindow;

import android.content.*;
import android.preference.*;
import android.view.*;
import android.view.animation.*;
import android.widget.*;
import java.io.*;

public class method
{
	private SharedPreferences setting;
	
	public method(Context context){
		setting=PreferenceManager.getDefaultSharedPreferences(context);
	}
	
	public void editString(String s,String message){
		setting.edit().putString(s,message).commit();
	}

	public void editBoolean(String s,boolean message){
		setting.edit().putBoolean(s,message).commit();
	}

	public void editint(String s,int message){
		setting.edit().putInt(s,message).commit();
	}
	
	public int getint(String s,int message){
		return setting.getInt(s,message);
	}

	public boolean getBoolean(String s,boolean message){
		return setting.getBoolean(s,message);
	}

	public String getString(String s,String message){
		return setting.getString(s,message);
	}
	//旋转动画
	public void roanim(float from,float to,long duration,boolean t,View v){
		Animation ro=new RotateAnimation(from,to,Animation.RELATIVE_TO_SELF,0.5f,Animation.RELATIVE_TO_SELF,0.5f);
		ro.setDuration(duration);
		if(t==true){
			ro.setRepeatCount(Animation.INFINITE);
		}
		ro.setFillAfter(true);
		v.setAnimation(ro);
		ro.startNow();
		v.startAnimation(ro);
	}
	//这个的组合动画，缩放和旋转
	public void scroanim(float scfrom,float scto,float rofrom,float roto,long duration,View v){
		AnimationSet set=new AnimationSet(true);
		Animation anim=new ScaleAnimation(scfrom,scto,scfrom,scto,Animation.RELATIVE_TO_SELF,0.5f,Animation.RELATIVE_TO_SELF,0.5f);
		anim.setDuration(duration);
		Animation ro=new RotateAnimation(rofrom,roto,Animation.RELATIVE_TO_SELF,0.5f,Animation.RELATIVE_TO_SELF,0.5f);
		ro.setDuration(duration);
		ro.setRepeatCount(Animation.INFINITE);
		set.setFillAfter(true);
		set.addAnimation(ro);
		set.addAnimation(anim);
		v.setAnimation(set);
		set.startNow();
		v.startAnimation(set);
	}
	
	public void showToast(Context context,String s){
		Toast.makeText(context,s,1000).show();
	}
	
	public void cmd(String string) {
		try {
			OutputStream outputStream = Runtime.getRuntime().exec("su").getOutputStream();
			DataOutputStream dataOutputStream = new DataOutputStream(outputStream);
			dataOutputStream.writeBytes(string);
			dataOutputStream.flush();
			dataOutputStream.close();
			outputStream.close();
			return;
		}
		catch (Throwable var2_3) {
			var2_3.printStackTrace();
			return;
		}
    }
	public boolean catString(String s,String message){
		if(s.equals(message)){
			return true;
		}
		return false;
	}
}
